Mailinglist Archive: opensuse-updates (42 mails)

< Previous Next >
openSUSE-SU-2011:0255-1 (moderate): libxml2: fixing Xpath processing (CVE-2010-4494)
openSUSE Security Update: libxml2: fixing Xpath processing (CVE-2010-4494)
______________________________________________________________________________

Announcement ID: openSUSE-SU-2011:0255-1
Rating: moderate
References: #661471
Cross-References: CVE-2010-4494
Affected Products:
openSUSE 11.3
openSUSE 11.2
______________________________________________________________________________

An update that fixes one vulnerability is now available.

Description:

A bug in the Xpath processing inside libxml2 has been
fixed. CVE-2010-4494 has been assigned to this issue.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 11.3:

zypper in -t patch libxml2-3758

- openSUSE 11.2:

zypper in -t patch libxml2-3758

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 11.3 (i586 x86_64):

libxml2-2.7.7-4.5.1
libxml2-devel-2.7.7-4.5.1

- openSUSE 11.3 (x86_64):

libxml2-32bit-2.7.7-4.5.1
libxml2-devel-32bit-2.7.7-4.5.1

- openSUSE 11.3 (noarch):

libxml2-doc-2.7.7-4.5.1

- openSUSE 11.2 (i586 x86_64):

libxml2-2.7.3-2.5.1
libxml2-devel-2.7.3-2.5.1
libxml2-doc-2.7.3-2.5.1

- openSUSE 11.2 (x86_64):

libxml2-32bit-2.7.3-2.5.1
libxml2-devel-32bit-2.7.3-2.5.1


References:

http://support.novell.com/security/cve/CVE-2010-4494.html
https://bugzilla.novell.com/661471


< Previous Next >
This Thread
  • No further messages